Subject: [Supa] Fw: Re: RE: [L3sm] draft-zaalouk-supa-vpn-service-management-model

From: Ying Cheng <[email-masked]>
Date: Fri, 20 Mar 2015 13:08:15 +0800

如果您错误接收了该邮件，请通过电子邮件立即通知我们。[email-masked]，即可以退订此邮件。我们将立即将您的信息从我们的发送目录中删除。
If you have received this email in error please notify us immediately by e-mail. Please reply to [email-masked] if you want to unsubscribe from this mail. We will immediately remove your information from our sending catalogue.

Subject: Fw: Re: RE: [L3sm] draft-zaalouk-supa-vpn-service-management-model
From: Ying Cheng <[email-masked]>
To: "supa" <[email-masked]>
Date: Fri, 20 Mar 2015 13:08:15 +0800

Forward it to SUPA email list.

2015-03-20

Ying CHENG  程莹
China Unicom Network Technology Research Institute 中国联通网络技术研究院
Tel: +86-10-68799999-7702
Mobile: +86-18601102971

发件人： Ying Cheng
发送时间： 2015-03-19 17:49:05
收件人： Vikram Choudhary; [email-masked]; [email-masked]; [email-masked]; [email-masked]
抄送： Dongfeng (C); Jixiaofeng (Steven); Kalyankumar Asangi
主题： Re: RE: [L3sm] draft-zaalouk-supa-vpn-service-management-model

Hi Vikram,

Thanks for your commetns. We will update the model based on them. Below please see my response inline. 

2015-03-19 

Ying CHENG  程莹
China Unicom Network Technology Research Institute 中国联通网络技术研究院
Tel: +86-10-68799999-7702
Mobile: +86-18601102971

发件人： Vikram Choudhary 
发送时间： 2015-03-18  13:20:22 
收件人： [email-masked]; [email-masked]; [email-masked]; Ying Cheng(联通集团联通网络技术研究院); [email-masked] 
抄送： Dongfeng (C); Jixiaofeng (Steven); Kalyankumar Asangi 
主题： RE: [L3sm] draft-zaalouk-supa-vpn-service-management-model 
Hi All,
Can you please provide your thought on my queries.
Thanks
Vikram
-----Original Message-----
From: Vikram Choudhary 
Sent: 10 March 2015 18:26
To: [email-masked]'; [email-masked]'; [email-masked]'; [email-masked]'
Cc: [email-masked]; Dongfeng (C); Jixiaofeng (Steven); Dhruv Dhody; Kalyankumar Asangi
Subject: RE: [L3sm] draft-zaalouk-supa-vpn-service-management-model
Hi All,
Request you to kindly help me to understand below points as proposed in the draft.
1. Section: 3.1.1.
>> Why do we need both "access-interface-id" and "access-interface-address + ip-address-mask-length" as mandatory parameter for identifying an access interface. 
-> As per my understanding access-interface-id will be unique for each interface and hence will be sufficient for identifying access-interface.
-> Moreover, 2 interfaces can't have same ip address so only "access-interface-address + ip-address-mask-length" will be enough for identifying access interface.
-> I feel these parameters are mutually exclusive and anyone of them can serve the purpose. No need of making all of them as mandatory.

[Ying]You're right. I remember a previous email from Jan also pointed this out. We will remove this mandatory lines only leave one for access-interface-id. 

>> "protocol-type" can be extended to include "RIP" and "STATIC" protocol-type.

[Ying]Right, in fact, in my previous response to Jan, I also mentioned to add this.:)

>> "igp-attribute" container needs to be extended as per the "protocol-type". Currently, only the "protocol-id" field is defined which may not be sufficient for forming IGP peer
relationship between CE and PE device's.
-> Example: OSPF needs area, hello time-interval, dead time-interval and etc for establishing adjacencies. 
(Assume CE devices have different hello and dead time-interval configuration)

[Ying]It's true. We should have taken this into consideration. Thank you for the example. We will address this by adding the info you mentioned into attributes.  

2. Section: 3.2.1.
>> Provision for "vlanId" is only available. Since vxLan is also used in DDC now, how to handle these cases? I feel this part may be made more generic to handle any L2 technology.

[Ying]Sorry. I am not sure whether I captured your points. Could you please kindly elaborate it?

Thanks
Vikram

-----Original Message-----
From: L3sm [mailto:[email-masked]] On Behalf Of Benoit Claise
Sent: 10 March 2015 15:30
To: [email-masked]
Subject: [L3sm] draft-zaalouk-supa-vpn-service-management-model
Dear all,
FYI. 
http://tools.ietf.org/id/draft-zaalouk-supa-vpn-service-management-model-02.txt
Regards, Benoit
_______________________________________________
L3sm mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/l3sm